<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
<html>
<head>
  <meta name="generator"
 content="HTML Tidy for Linux/x86 (vers 1st March 2004), see www.w3.org">
  <title>TV middleware</title>
  <meta http-equiv="Content-Type"
 content="text/html; charset=ISO-8859-15">
  <meta http-equiv="Content-Style-Type" content="text/css">
  <link rel="stylesheet" href="css/fpm.css" type="text/css">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <link rel="Start" href="index.html" title="FPM Home">
  <link rel="Icon" href="im/fpm.png" type="image/png">
  <style type="text/css">
        .coloret {background-color: #00ffff}
  </style>
  <meta http-equiv="CONTENT-TYPE" content="text/html; charset=utf-8">
  <meta name="GENERATOR" content="OpenOffice.org 2.4  (Linux)">
  <style type="text/css">
	<!--
		@page { size: 21cm 29.7cm; margin: 2cm }
		P { margin-bottom: 0.21cm }
	-->
	</style>
  <meta http-equiv="CONTENT-TYPE" content="text/html; charset=utf-8">
  <meta name="GENERATOR" content="OpenOffice.org 2.4  (Linux)">
  <style type="text/css">
	<!--
		@page { size: 21cm 29.7cm; margin: 2cm }
		P { margin-bottom: 0.21cm }
	-->
	</style>
</head>
<body>
<table style="width: 100%;">
  <tbody>
    <tr>
      <td colspan="2" class="seccio-cap">
      <h3>Middleware</h3>
      </td>
    </tr>
    <tr>
      <td colspan="2" class="seccio-fons"><br>
      <table border="1" cellpadding="2" cellspacing="2">
        <tbody>
          <tr class="taula-cap">
            <th colspan="1" rowspan="3"><br>
            </th>
            <th colspan="4" rowspan="1">technology</th>
            <th colspan="2" rowspan="1">expertise</th>
            <th rowspan="1" colspan="7">features</th>
            <th colspan="5" rowspan="1">authoring</th>
            <th colspan="3" rowspan="1"><br>
            </th>
            <th colspan="6" rowspan="1">receiver</th>
          </tr>
          <tr class="taula-cap">
            <th colspan="1" rowspan="2">owner</th>
            <th colspan="1" rowspan="2">name</th>
            <th colspan="1" rowspan="2">standard</th>
            <th colspan="1" rowspan="2">based on</th>
            <th colspan="1" rowspan="2">DVB</th>
            <th colspan="1" rowspan="2">companies</th>
            <th colspan="1" rowspan="2">procedural / declarative</th>
            <th colspan="1" rowspan="2">web compatible</th>
            <th colspan="1" rowspan="2">animation</th>
            <th colspan="1" rowspan="2">3D</th>
            <th colspan="3" rowspan="1">integration with TV</th>
            <th colspan="3" rowspan="1">content creation</th>
            <th colspan="1" rowspan="2">content validation</th>
            <th colspan="1" rowspan="2">interoperable</th>
            <th colspan="3" rowspan="1">security</th>
            <th colspan="3" rowspan="1">device access</th>
            <th colspan="3" rowspan="1">footprint</th>
          </tr>
          <tr class="taula-cap">
            <th>channel changing</th>
            <th>acess to EPG data</th>
            <th>scheduling recording on a PVR</th>
            <th>dedicated UI authoring tools</th>
            <th>dynamic content generation from DB or CMS</th>
            <th>by hand by non-programmer</th>
            <th>authentication of source of application</th>
            <th>application integrity</th>
            <th>controlled access to device capabilities</th>
            <th>persistent data storage in terminal</th>
            <th>removable persistent data storage</th>
            <th>smart card</th>
            <th>mobile</th>
            <th>SD</th>
            <th>HD</th>
          </tr>
          <tr class="fila-i">
            <th class="fila-cap" colspan="1" rowspan="4">PC</th>
            <td>Adobe</td>
            <td>Flash/Air</td>
            <td>-</td>
            <td><br>
            </td>
            <td><br>
            </td>
            <td><br>
            </td>
            <td><br>
            </td>
            <td><br>
            </td>
            <td><br>
            </td>
            <td><br>
            </td>
            <td><br>
            </td>
            <td><br>
            </td>
            <td><br>
            </td>
            <td><br>
            </td>
            <td><br>
            </td>
            <td><br>
            </td>
            <td><br>
            </td>
            <td><br>
            </td>
            <td><br>
            </td>
            <td><br>
            </td>
            <td><br>
            </td>
            <td><br>
            </td>
            <td><br>
            </td>
            <td><br>
            </td>
            <td><br>
            </td>
            <td><br>
            </td>
            <td><br>
            </td>
          </tr>
          <tr class="fila-p">
            <td>Microsoft</td>
            <td>Silverlight</td>
            <td>-</td>
            <td><br>
            </td>
            <td><br>
            </td>
            <td><br>
            </td>
            <td><br>
            </td>
            <td><br>
            </td>
            <td><br>
            </td>
            <td><br>
            </td>
            <td><br>
            </td>
            <td><br>
            </td>
            <td><br>
            </td>
            <td><br>
            </td>
            <td><br>
            </td>
            <td><br>
            </td>
            <td><br>
            </td>
            <td><br>
            </td>
            <td><br>
            </td>
            <td><br>
            </td>
            <td><br>
            </td>
            <td><br>
            </td>
            <td><br>
            </td>
            <td><br>
            </td>
            <td><br>
            </td>
            <td><br>
            </td>
            <td><br>
            </td>
          </tr>
          <tr class="fila-i">
            <td>W3C</td>
            <td>SVG</td>
            <td>W3C</td>
            <td><br>
            </td>
            <td><br>
            </td>
            <td><br>
            </td>
            <td><br>
            </td>
            <td><br>
            </td>
            <td><br>
            </td>
            <td><br>
            </td>
            <td><br>
            </td>
            <td><br>
            </td>
            <td><br>
            </td>
            <td><br>
            </td>
            <td><br>
            </td>
            <td><br>
            </td>
            <td><br>
            </td>
            <td><br>
            </td>
            <td><br>
            </td>
            <td><br>
            </td>
            <td><br>
            </td>
            <td><br>
            </td>
            <td><br>
            </td>
            <td><br>
            </td>
            <td><br>
            </td>
            <td><br>
            </td>
            <td><br>
            </td>
          </tr>
          <tr class="fila-p">
            <td><br>
            </td>
            <td colspan="1" rowspan="2">XHTML, Javascript, CSS</td>
            <td>(standard org + industry consortium)</td>
            <td><br>
            </td>
            <td>medium</td>
            <td>Philips, OpenTV, ANT</td>
            <td>partially declarative</td>
            <td>toolkit</td>
            <td>procedural animation</td>
            <td>none</td>
            <td>yes</td>
            <td>yes</td>
            <td>yes</td>
            <td>yes</td>
            <td>yes</td>
            <td>no</td>
            <td>partially</td>
            <td><br>
            </td>
            <td>yes (w/q)</td>
            <td>yes (w/q)</td>
            <td>no</td>
            <td>yes (w/q)</td>
            <td>no</td>
            <td>no</td>
            <td><br>
            </td>
            <td>medium</td>
            <td>high</td>
          </tr>
          <tr class="fila-i">
            <th class="fila-cap" colspan="1" rowspan="12">TV</th>
            <td><br>
            </td>
            <td><br>
            </td>
            <td><br>
            </td>
            <td><br>
            </td>
            <td><br>
            </td>
            <td><br>
            </td>
            <td><br>
            </td>
            <td><br>
            </td>
            <td><br>
            </td>
            <td><br>
            </td>
            <td><br>
            </td>
            <td><br>
            </td>
            <td><br>
            </td>
            <td><br>
            </td>
            <td><br>
            </td>
            <td><br>
            </td>
            <td><br>
            </td>
            <td><br>
            </td>
            <td><br>
            </td>
            <td><br>
            </td>
            <td><br>
            </td>
            <td><br>
            </td>
            <td><br>
            </td>
            <td><br>
            </td>
            <td><br>
            </td>
            <td><br>
            </td>
          </tr>
          <tr class="fila-p">
            <td colspan="1" rowspan="3">DVB</td>
            <td>MHP</td>
            <td>ETSI</td>
            <td><br>
            </td>
            <td>high</td>
            <td>Osmosys</td>
            <td>procedural</td>
            <td>static</td>
            <td>procedural animation, <br>
frame based</td>
            <td>future</td>
            <td>yes</td>
            <td>yes</td>
            <td>yes</td>
            <td>yes</td>
            <td>yes</td>
            <td>no</td>
            <td>partially, <br>
micro-browser</td>
            <td><br>
            </td>
            <td>yes</td>
            <td>yes</td>
            <td>yes</td>
            <td>yes</td>
            <td>yes</td>
            <td>yes</td>
            <td><br>
            </td>
            <td>medium</td>
            <td>high</td>
          </tr>
          <tr class="fila-i">
            <td>DVB-GEM</td>
            <td>ETSI</td>
            <td>MHP (without DVB)</td>
            <td>high</td>
            <td>Sun</td>
            <td>procedural</td>
            <td>static</td>
            <td>procedural animation, <br>
frame based</td>
            <td>future</td>
            <td>yes</td>
            <td>yes</td>
            <td>yes</td>
            <td>yes</td>
            <td>yes</td>
            <td>no</td>
            <td>partially, <br>
micro-browser</td>
            <td><br>
            </td>
            <td>yes</td>
            <td>yes</td>
            <td>yes</td>
            <td>yes</td>
            <td>yes</td>
            <td>yes</td>
            <td><br>
            </td>
            <td>medium</td>
            <td>high</td>
          </tr>
          <tr class="fila-p">
            <td>GEM-IPTV</td>
            <td>ETSI</td>
            <td><br>
            </td>
            <td>high</td>
            <td>Alticast</td>
            <td>procedural</td>
            <td>static</td>
            <td>procedural animation,<br>
frame based&nbsp;</td>
            <td>future</td>
            <td>yes</td>
            <td>yes</td>
            <td>yes</td>
            <td>yes</td>
            <td>yes</td>
            <td><br>
            </td>
            <td>partially, <br>
micro-browser</td>
            <td><br>
            </td>
            <td>yes</td>
            <td>yes</td>
            <td>yes</td>
            <td>yes</td>
            <td>yes</td>
            <td>yes</td>
            <td><br>
            </td>
            <td>medium</td>
            <td>high</td>
          </tr>
          <tr class="fila-i">
            <td><br>
            </td>
            <td>MHEG-5</td>
            <td>
            <p style="margin-bottom: 0cm;">ETSI ES 202 184</p>
            </td>
            <td><br>
            </td>
            <td>medium,&nbsp;low</td>
            <td>S&amp;T</td>
            <td>declarative, partially declarative,&nbsp;procedural</td>
            <td>CMS</td>
            <td>procedural animation</td>
            <td>none</td>
            <td>yes</td>
            <td>yes</td>
            <td>yes (w/q)</td>
            <td>yes</td>
            <td>yes</td>
            <td>no</td>
            <td>fully, <br>
micro-browser</td>
            <td><br>
            </td>
            <td>yes (w/q)</td>
            <td>yes (w/q)</td>
            <td>yes (w/q)</td>
            <td>yes (w/q)</td>
            <td>no</td>
            <td>no</td>
            <td><br>
            </td>
            <td>small</td>
            <td>medium, <br>
high</td>
          </tr>
          <tr class="fila-p">
            <td><br>
            </td>
            <td>OCAP (Tru2way)</td>
            <td><br>
            </td>
            <td>MHP (70%)</td>
            <td>medium</td>
            <td>Osmosys</td>
            <td>procedural</td>
            <td>static</td>
            <td>procedural animation, <br>
frame based</td>
            <td>future</td>
            <td>yes</td>
            <td>yes</td>
            <td>yes</td>
            <td>yes</td>
            <td>yes</td>
            <td>no</td>
            <td>partially, <br>
micro-browser</td>
            <td><br>
            </td>
            <td>yes</td>
            <td>yes</td>
            <td>yes</td>
            <td>yes</td>
            <td>yes</td>
            <td>yes</td>
            <td><br>
            </td>
            <td>high</td>
            <td>high</td>
          </tr>
          <tr class="fila-i">
            <td><br>
            </td>
            <td>wTVML</td>
            <td>ETSI TS 102 322</td>
            <td><br>
            </td>
            <td>medium</td>
            <td>BSkyB</td>
            <td>declarative, partially declarative</td>
            <td>CMS</td>
            <td>procedural animation</td>
            <td>none</td>
            <td><br>
            </td>
            <td>yes (w/q)</td>
            <td>yes (w/q)</td>
            <td>yes</td>
            <td>yes</td>
            <td>yes</td>
            <td>fully</td>
            <td><br>
            </td>
            <td>yes (w/q)</td>
            <td>yes (w/q)</td>
            <td>yes (w/q)</td>
            <td>yes</td>
            <td>yes (w/q)</td>
            <td>yes (w/q)</td>
            <td><br>
            </td>
            <td>small</td>
            <td><br>
            </td>
          </tr>
          <tr class="fila-p">
            <td><br>
            </td>
            <td>eTV / <a href="http://www.ebif.tv/">EBIF</a><br>
            </td>
            <td>(industry consortium)</td>
            <td><br>
            </td>
            <td>low</td>
            <td>CableLabs</td>
            <td><br>
            </td>
            <td>static</td>
            <td>none</td>
            <td>none</td>
            <td>yes (w/q)</td>
            <td>no</td>
            <td>no</td>
            <td>yes</td>
            <td>yes</td>
            <td>no</td>
            <td>fully</td>
            <td><br>
            </td>
            <td>no</td>
            <td>no</td>
            <td>no</td>
            <td>yes (w/q)</td>
            <td>no</td>
            <td>no</td>
            <td><br>
            </td>
            <td>small</td>
            <td><br>
            </td>
          </tr>
          <tr class="fila-i">
            <td>Microsoft</td>
            <td>Mediaroom</td>
            <td>(proprietary)</td>
            <td><br>
            </td>
            <td>low</td>
            <td>Microsoft</td>
            <td><br>
            </td>
            <td><br>
            </td>
            <td><br>
            </td>
            <td><br>
            </td>
            <td><br>
            </td>
            <td><br>
            </td>
            <td><br>
            </td>
            <td><br>
            </td>
            <td><br>
            </td>
            <td><br>
            </td>
            <td><br>
            </td>
            <td><br>
            </td>
            <td><br>
            </td>
            <td><br>
            </td>
            <td><br>
            </td>
            <td><br>
            </td>
            <td><br>
            </td>
            <td><br>
            </td>
            <td><br>
            </td>
            <td><br>
            </td>
            <td>high</td>
          </tr>
          <tr class="fila-p">
            <td><br>
            </td>
            <td>Ginga</td>
            <td><br>
            </td>
            <td><br>
            </td>
            <td><br>
            </td>
            <td><br>
            </td>
            <td><br>
            </td>
            <td><br>
            </td>
            <td><br>
            </td>
            <td><br>
            </td>
            <td><br>
            </td>
            <td><br>
            </td>
            <td><br>
            </td>
            <td><br>
            </td>
            <td><br>
            </td>
            <td><br>
            </td>
            <td><br>
            </td>
            <td><br>
            </td>
            <td><br>
            </td>
            <td><br>
            </td>
            <td><br>
            </td>
            <td><br>
            </td>
            <td><br>
            </td>
            <td><br>
            </td>
            <td><br>
            </td>
            <td><br>
            </td>
            <td><br>
            </td>
          </tr>
          <tr class="fila-i">
            <td>NDS</td>
            <td>MediaHighway</td>
            <td><br>
            </td>
            <td><br>
            </td>
            <td><br>
            </td>
            <td><br>
            </td>
            <td><br>
            </td>
            <td><br>
            </td>
            <td><br>
            </td>
            <td><br>
            </td>
            <td><br>
            </td>
            <td><br>
            </td>
            <td><br>
            </td>
            <td><br>
            </td>
            <td><br>
            </td>
            <td><br>
            </td>
            <td><br>
            </td>
            <td><br>
            </td>
            <td><br>
            </td>
            <td><br>
            </td>
            <td><br>
            </td>
            <td><br>
            </td>
            <td><br>
            </td>
            <td><br>
            </td>
            <td><br>
            </td>
            <td><br>
            </td>
            <td><br>
            </td>
          </tr>
          <tr class="fila-p">
            <td><br>
            </td>
            <td>OpenTV</td>
            <td><br>
            </td>
            <td><br>
            </td>
            <td><br>
            </td>
            <td><br>
            </td>
            <td><br>
            </td>
            <td><br>
            </td>
            <td><br>
            </td>
            <td><br>
            </td>
            <td><br>
            </td>
            <td><br>
            </td>
            <td><br>
            </td>
            <td><br>
            </td>
            <td><br>
            </td>
            <td><br>
            </td>
            <td><br>
            </td>
            <td><br>
            </td>
            <td><br>
            </td>
            <td><br>
            </td>
            <td><br>
            </td>
            <td><br>
            </td>
            <td><br>
            </td>
            <td><br>
            </td>
            <td><br>
            </td>
            <td><br>
            </td>
            <td><br>
            </td>
          </tr>
          <tr class="fila-i">
            <th class="fila-cap" colspan="1" rowspan="5">Mobile</th>
            <td>MPEG</td>
            <td>LASeR / SAF</td>
            <td>MPEG-4 part 20</td>
            <td>SVG Tiny and ECMA Script</td>
            <td>low</td>
            <td>Streamezzo</td>
            <td>declarative, partially declarative</td>
            <td>CMS</td>
            <td>declarative animation</td>
            <td>simulated</td>
            <td>yes</td>
            <td>yes</td>
            <td>no</td>
            <td>yes</td>
            <td>yes</td>
            <td>no</td>
            <td>fully, partially</td>
            <td><br>
            </td>
            <td>no</td>
            <td>no</td>
            <td>no</td>
            <td>yes</td>
            <td>no</td>
            <td>no</td>
            <td>small</td>
            <td><br>
            </td>
            <td><br>
            </td>
          </tr>
          <tr class="fila-p">
            <td>OMA</td>
            <td>OMA RME / 3GPP DIMS</td>
            <td>(industry consortium)</td>
            <td>SVG Tiny 1.2 and ECMA Script</td>
            <td>low</td>
            <td>NSN</td>
            <td>partially declarative</td>
            <td>CMS</td>
            <td>declarative animation</td>
            <td>simulated</td>
            <td>yes</td>
            <td>no</td>
            <td>no</td>
            <td>yes</td>
            <td>yes</td>
            <td>no</td>
            <td>partially</td>
            <td><br>
            </td>
            <td>no</td>
            <td>no</td>
            <td>no</td>
            <td>yes</td>
            <td>no</td>
            <td>no</td>
            <td>small</td>
            <td><br>
            </td>
            <td><br>
            </td>
          </tr>
          <tr class="fila-i">
            <td><br>
            </td>
            <td>MIDP + optional JSR</td>
            <td>(industry consortium)</td>
            <td><br>
            </td>
            <td>low</td>
            <td>TUBS</td>
            <td>partially declarative, procedural</td>
            <td>static, CMS</td>
            <td>procedural animation, declarative animation</td>
            <td>full</td>
            <td>yes</td>
            <td>yes</td>
            <td>yes</td>
            <td>yes</td>
            <td>yes</td>
            <td>no</td>
            <td>partially</td>
            <td><br>
            </td>
            <td>yes</td>
            <td>yes</td>
            <td>yes</td>
            <td>yes</td>
            <td>yes</td>
            <td><br>
            </td>
            <td>small</td>
            <td><br>
            </td>
            <td><br>
            </td>
          </tr>
          <tr class="fila-p">
            <td>Google</td>
            <td>Android</td>
            <td><br>
            </td>
            <td><br>
            </td>
            <td><br>
            </td>
            <td><br>
            </td>
            <td><br>
            </td>
            <td><br>
            </td>
            <td><br>
            </td>
            <td><br>
            </td>
            <td><br>
            </td>
            <td><br>
            </td>
            <td><br>
            </td>
            <td><br>
            </td>
            <td><br>
            </td>
            <td><br>
            </td>
            <td><br>
            </td>
            <td><br>
            </td>
            <td><br>
            </td>
            <td><br>
            </td>
            <td><br>
            </td>
            <td><br>
            </td>
            <td><br>
            </td>
            <td><br>
            </td>
            <td><br>
            </td>
            <td><br>
            </td>
            <td><br>
            </td>
          </tr>
          <tr class="fila-i">
            <td>Qualcomm</td>
            <td>BREW</td>
            <td><br>
            </td>
            <td><br>
            </td>
            <td><br>
            </td>
            <td><br>
            </td>
            <td><br>
            </td>
            <td><br>
            </td>
            <td><br>
            </td>
            <td><br>
            </td>
            <td><br>
            </td>
            <td><br>
            </td>
            <td><br>
            </td>
            <td><br>
            </td>
            <td><br>
            </td>
            <td><br>
            </td>
            <td><br>
            </td>
            <td><br>
            </td>
            <td><br>
            </td>
            <td><br>
            </td>
            <td><br>
            </td>
            <td><br>
            </td>
            <td><br>
            </td>
            <td><br>
            </td>
            <td><br>
            </td>
            <td><br>
            </td>
            <td><br>
            </td>
          </tr>
          <tr class="fila-p">
            <th class="fila-cap">Other</th>
            <td>BluRay</td>
            <td>BD-J</td>
            <td><br>
            </td>
            <td><br>
            </td>
            <td>medium</td>
            <td>Sun</td>
            <td>procedural</td>
            <td>static</td>
            <td>procedural animation, <br>
frame based</td>
            <td>future</td>
            <td>-</td>
            <td>-</td>
            <td>-</td>
            <td>yes</td>
            <td>yes</td>
            <td>no</td>
            <td>partially, <br>
micro-browser</td>
            <td><br>
            </td>
            <td>yes</td>
            <td>yes</td>
            <td>yes</td>
            <td>yes</td>
            <td>yes</td>
            <td>yes</td>
            <td><br>
            </td>
            <td><br>
            </td>
            <td><br>
            </td>
          </tr>
        </tbody>
      </table>
      <br>
      </td>
    </tr>
  </tbody>
</table>
</body>
</html>
